# Uses of Interface
org.apache.wiki.api.core.Page

Packages that use Page
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.providers
Page Providers' API package of JSPWiki.
org.apache.wiki.api.search
Search's API package of JSPWiki.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of Page in org.apache.wiki.api.core

Subinterfaces of Page in org.apache.wiki.api.core
Modifier and Type
Interface
Description
`interface`
`Attachment`
Describes an attachment.
Methods in org.apache.wiki.api.core that return Page
Modifier and Type
Method
Description
`Page`
Page.`clone()`
`Page`
Context.`getPage()`
Returns the WikiPage that is being handled.
`Page`
Context.`getRealPage()`
Gets a reference to the real WikiPage whose content is currently being rendered.
`Page`
Context.`setRealPage(Page wikiPage)`
Sets a reference to the real WikiPage whose content is currently being rendered.
Methods in org.apache.wiki.api.core with parameters of type Page
Modifier and Type
Method
Description
`void`
Context.`setPage(Page wikiPage)`
Sets the WikiPage that is being handled.
`Page`
Context.`setRealPage(Page wikiPage)`
Sets a reference to the real WikiPage whose content is currently being rendered.

## Uses of Page in org.apache.wiki.api.providers

Methods in org.apache.wiki.api.providers that return Page
Modifier and Type
Method
Description
`Page`
PageProvider.`getPageInfo(String page, int version)`
Returns info about the page.
Methods in org.apache.wiki.api.providers that return types with arguments of type Page
Modifier and Type
Method
Description
`Collection<Page>`
PageProvider.`getAllChangedSince(Date date)`
Gets a list of recent changes.
`Collection<Page>`
PageProvider.`getAllPages()`
Returns all pages.
`List<Page>`
PageProvider.`getVersionHistory(String page)`
Returns version history.
Methods in org.apache.wiki.api.providers with parameters of type Page
Modifier and Type
Method
Description
`Attachment`
AttachmentProvider.`getAttachmentInfo(Page page, String name, int version)`
Returns info about an attachment.
`List<Attachment>`
AttachmentProvider.`listAttachments(Page page)`
Lists all attachments attached to a page.
`void`
PageProvider.`putPageText(Page page, String text)`
Attempts to save the page text for page "page".

## Uses of Page in org.apache.wiki.api.search

Methods in org.apache.wiki.api.search that return Page
Modifier and Type
Method
Description
`Page`
SearchResult.`getPage()`
Return the page.

## Uses of Page in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi that return Page
Modifier and Type
Method
Description
`Page`
ContentsDSL.`page(Engine engine, String name)`
Creates a `Page` instance.
`Page`
ContentsSPI.`page(Engine engine, String name)`
Creates a `Page` instance.
Methods in org.apache.wiki.api.spi with parameters of type Page
Modifier and Type
Method
Description
`Context`
ContextDSL.`create(Engine engine, javax.servlet.http.HttpServletRequest request, Page page)`
Creates a new Context for the given Engine, Page and HttpServletRequest.
`Context`
ContextDSL.`create(Engine engine, Page page)`
Create a new Context for the given Page.
`Context`
ContextSPI.`create(Engine engine, javax.servlet.http.HttpServletRequest request, Page page)`
Creates a new Context for the given Engine, Page and HttpServletRequest.
`Context`
ContextSPI.`create(Engine engine, Page page)`
Create a new Context for the given Page.